﻿using Android.App;
using Android.Widget;
using Android.OS;
using System.Collections.ObjectModel;
using Com.Syncfusion.Charts;
using Android.Graphics;
using Android.Views;
using Java.Util;
using System.Collections.Generic;

namespace CustomLabel
{
    [Activity(Label = "CustomLabel", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        SfChart chart;
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            // Set our view from the "main" layout resource
            chart = new SfChart(this);

            chart.SetBackgroundColor(Color.White);
            chart.PrimaryAxis = new CategoryAxis();

            NumericalAxisExt yAxis = new NumericalAxisExt();
            chart.SecondaryAxis = yAxis;

            LineSeries series = new LineSeries();
            series.ItemsSource = GetData();
            series.XBindingPath = "XValue";
            series.YBindingPath = "YValue";
            chart.Series.Add(series);
            SetContentView(chart);
        }
        public static ObservableCollection<DataModel> GetData()
        {
            var datas = new ObservableCollection<DataModel>();
            datas.Add(new DataModel("2011", 80));
            datas.Add(new DataModel("2012", 23));
            datas.Add(new DataModel("2013", 44));
            datas.Add(new DataModel("2014", 66));
            datas.Add(new DataModel("2015", 23));
            datas.Add(new DataModel("2016", 44));
            datas.Add(new DataModel("2017", 66));
            return datas;
        }
    }
}

